# Functor Type_abstract.Make2

    module Make2: functor (X : Named_intf.S2) -> Typerepable.S2
      with type ('a, 'b) t := ('a, 'b) X.t

Parameters:

`X` | : | `Named_intf.S2`

    type ('a, 'b) t

    val typerep_of_t : 'a Std_internal.Typerep.t ->
           'b Std_internal.Typerep.t -> ('a, 'b) t Std_internal.Typerep.t

    val typename_of_t : 'a Typename.t -> 'b Typename.t -> ('a, 'b) t Typename.t